function [CoeffMat,AlphaVec] = PolCoeffOneP(n,r)
%Computes ...

if r == 0
    CoeffMat = [];
    AlphaVec = [];
    for i=1:n
        for j = i:n 
            matij = sparse(n,n);
            matij(i,j) = 1;
            if i~=j
                matij(j,i)=1;
            end
            CoeffMat = [CoeffMat; matij(:)'];
            alpha = zeros(1,n);
            alpha(i)=1;
            alpha(j)= alpha(j) + 1;
            AlphaVec = [AlphaVec; alpha];
        end
    end
else
    CoeffMat = [];
    AlphaVec = [];
    [CoeffMatPrev,AlphaVecPrev] = PolCoeffOneP(n,r-1);
    numAlphaPrev = size(AlphaVecPrev,1);
    I = eye(n);
    posVec = ones(1,n); %position of indicator
    for i = 1:n
        while posVec(i) <= numAlphaPrev
            alpha = AlphaVecPrev(posVec(i),:) + I(i,:); %alpha being added
            coeff = CoeffMatPrev(posVec(i),:); %coefficeint being added
            posVec(i) = posVec(i)+1;
            for j = i+1:n
                if alpha == AlphaVecPrev(posVec(j),:) + I(j,:);
                    coeff = coeff + CoeffMatPrev(posVec(j),:);
                    posVec(j) = posVec(j)+1;
                end
            end
            AlphaVec = [AlphaVec; alpha];
            CoeffMat = [CoeffMat; coeff];
        end
    end
end